# Default values for core-api.
# This is a YAML-formatted file.
# Declare variables to be passed into your templates.

replicaCount: 1

image:
  repository: asia-southeast2-docker.pkg.dev/finnet-artifact/internal-tools/dashboard-cpms
  pullPolicy: ""

imagePullSecrets: []
nameOverride: ""
fullnameOverride: ""

serviceAccount:
  # Specifies whether a service account should be created
  create: true
  # Annotations to add to the service account
  annotations: {}
  # The name of the service account to use.
  # If not set and create is true, a name is generated using the fullname template
  name: ""

podAnnotations:
  sidecar.istio.io/proxyCPU: "0"
  sidecar.istio.io/proxyMemory: "0"
  sidecar.istio.io/rewriteAppHTTPProbers: "true"

podSecurityContext: {}
  # fsGroup: 2000

securityContext:
  # capabilities:
  #   drop:
  #   - ALL
  readOnlyRootFilesystem: false
  runAsNonRoot: false
  # runAsUser: 1000

service:
  type: ClusterIP
  #type: LoadBalancer #LB
  port: 80
  targetPort: 80
  #loadbalancerip: 10.202.200.135

ingress:
  enabled: true #test with lb
  className: "nginx"
  annotations:
    nginx.ingress.kubernetes.io/use-regex: "true"
    nginx.ingress.kubernetes.io/rewrite-target: /$1
    # kubernetes.io/ingress.class: nginx
    # kubernetes.io/tls-acme: "true"
  hosts:
    - host: dashboard-cpms-dev.finpay.id
      paths:
        - path: "/(.*)"
          pathType: Prefix
  tls: []
  #  - secretName: chart-example-tls
  #    hosts:
  #      - chart-example.local

resources: {}
  # We usually recommend not to specify default resources and to leave this as a conscious
  # choice for the user. This also increases chances charts run on environments with little
  # resources, such as Minikube. If you do want to specify resources, uncomment the following
  # lines, adjust them as necessary, and remove the curly braces after 'resources:'.
  # limits:
  #   cpu: 100m
  #   memory: 128Mi
  # requests:
  #   cpu: 100m
  #   memory: 128Mi

autoscaling:
  enabled: false
  minReplicas: 1
  maxReplicas: 100
  targetCPUUtilizationPercentage: 80
  # targetMemoryUtilizationPercentage: 80

nodeSelector: {}

tolerations: []


affinity: {}

# tambahan untuk scret
secret:
  name: "env"
  data:
    APP_NAME: dashboard-cpms
    APP_ENV: prod
    APP_KEY: base64:2BBrLmBUap+OcQKHjqPIUsDICIilE5lF//11U+ZR5pI=
    APP_DEBUG: true
    APP_URL: https://dashboard-cpms-dev.finpay.id/

    LOG_CHANNEL: stderr
    LOG_DEPRECATIONS_CHANNEL: null
    LOG_LEVEL: debug

    DB_CONNECTION: mysql
    DB_HOST: 10.201.0.3
    DB_PORT: 3306
    DB_DATABASE: cpms
    DB_USERNAME: dash_cpms
    DB_PASSWORD: passwordCpms_3424

    BROADCAST_DRIVER: log
    CACHE_DRIVER: file
    FILESYSTEM_DISK: local
    QUEUE_CONNECTION: sync
    SESSION_DRIVER: file
    SESSION_LIFETIME: 120

    MEMCACHED_HOST: 127.0.0.1

    REDIS_HOST: 127.0.0.1
    REDIS_PASSWORD: null
    REDIS_PORT: 6379

    MAIL_MAILER: smtp
    MAIL_HOST: mailpit
    MAIL_PORT: 1025
    MAIL_USERNAME: null
    MAIL_PASSWORD: null
    MAIL_ENCRYPTION: null
    MAIL_FROM_ADDRESS: "hello@example.com"
    MAIL_FROM_NAME: "${APP_NAME}"

    PUSHER_APP_ID:
    PUSHER_APP_KEY:
    PUSHER_APP_SECRET:
    PUSHER_HOST:
    PUSHER_PORT: 443
    PUSHER_SCHEME: https
    PUSHER_APP_CLUSTER: mt1

    VITE_PUSHER_APP_KEY: "${PUSHER_APP_KEY}"
    VITE_PUSHER_HOST: "${PUSHER_HOST}"
    VITE_PUSHER_PORT: "${PUSHER_PORT}"
    VITE_PUSHER_SCHEME: "${PUSHER_SCHEME}"
    VITE_PUSHER_APP_CLUSTER: "${PUSHER_APP_CLUSTER}"

